#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.2
visibility:           public
id:                   persistent-test-2.13.1.2-2XmI5TqBI2YC8trIFNxNj8
key:                  persistent-test-2.13.1.2-2XmI5TqBI2YC8trIFNxNj8
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  4d31e1eae0e493d23e040da3efb5426b
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.2-2XmI5TqBI2YC8trIFNxNj8
depends:
    HUnit-1.6.2.0-BAsNTCqCVG3PGZVzTdNGQ
    QuickCheck-2.14.3-Bq1rDgbuboJCaEuAXL5yHn
    aeson-2.1.2.1-5LFbz27UeRc2IE39j8tZaA base-4.15.1.0
    blaze-html-0.9.1.2-JREsM3nYliCKd1ddrnwOhK bytestring-0.10.12.1
    conduit-1.3.5-KE0IxstkAEWI2GLHnbx6kM containers-0.6.4.1
    exceptions-0.10.4 hspec-2.10.9-AWEYq96cUuQ3kZ3WQOkZkt
    hspec-expectations-0.8.3-3OdEVS6EGSP2Cr40oBNMwb
    http-api-data-0.5.1-JqU70acGMaDC6tbt4F6Gad
    monad-control-1.0.3.1-LVxw4k1QhiyFDGX7dGAT8u
    monad-logger-0.3.40-A6NJNUZY4lNGWRIBslDMen mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.5-6ZXmNaH1rAuLrp4mNGBPk2
    quickcheck-instances-0.3.30-HkZ10JeVSTh8EX7veC5IX9
    random-1.2.1.1-BxaVw6mUjjQHmGxFEtiVFu
    resourcet-1.2.6-AxGnFNcJUU7HubtKqXQpkz text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-3y3JsQUyG3cDSsfuYOtwey
    unliftio-0.2.25.0-3ouLkMeW8SPDe6GJ1QgXzD
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-UA49xtzCSp2PJ1xuqchgw

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

